org.sunflow.image.formats

## Class BitmapRGB8

- java.lang.Object
- - org.sunflow.image.Bitmap
  - - org.sunflow.image.formats.BitmapRGB8

    public class BitmapRGB8
    extends Bitmap

### Field Summary

### Fields inherited from class org.sunflow.image.Bitmap

`INV255, INV65535`

### Constructor Summary

Constructors
Constructor and Description
`BitmapRGB8(int w, int h, byte[] data)`

### Method Summary

Methods
`int` `getHeight()`
`int` `getWidth()`
`float` `readAlpha(int x, int y)`
`Color` `readColor(int x, int y)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### BitmapRGB8

    public BitmapRGB8(int w,
              int h,
              byte[] data)

### Method Detail

#### getWidth

    public int getWidth()

Specified by:
  `getWidth` in class `Bitmap`

#### getHeight

    public int getHeight()

Specified by:
  `getHeight` in class `Bitmap`

#### readColor

    public Color readColor(int x,
                  int y)

Specified by:
  `readColor` in class `Bitmap`

#### readAlpha

    public float readAlpha(int x,
                  int y)

Specified by:
  `readAlpha` in class `Bitmap`